%global debug_package %{nil}

# enable more stripping. This was failing on cisco wrlinux and AIX. We may want
# to get this worked out eventually, but for now let's just skip these for
# those platforms
%global __debug_package %{nil}
# to resolve: "ERROR: No build ID note found"
%undefine _missing_build_ids_terminate_build
# To avoid files installed but not packaged errors
%global __os_install_post %{__os_install_post} \
 rm -rf %{buildroot}/usr/lib/debug

# Turn off the brp-python-bytecompile script
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

Name: pe-postgresql-pglogical
Version: 2018.1.1.2.1
Release: 3.pe%{?dist}
Summary: The pglogical extension for PostgreSQL
Vendor: 2nd Quadrant
License: The PostgreSQL License
Group: System Environment/Base
URL: http://2ndquadrant.com/en/resources/pglogical

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0: %{name}-%{version}.tar.gz
Source1: file-list-for-rpm

# Don't provide anything so the system doesn't use our packages to resolve deps
Autoprov: 0
Autoreq: 0
Requires: pam
Requires: readline
Requires: zlib
Requires: pe-postgresql-server

# All rpm packages built by vanagon have the pre-/post-install script
# boilerplates (defined below). These require `mkdir` and `touch` but previously
# did not specify a dependency on these.
# In the future, we will supress pre/post scripts completely if there's nothing
# specified by the project or the components.
Requires(pre): /bin/mkdir
Requires(pre): /bin/touch
Requires(post): /bin/mkdir
Requires(post): /bin/touch

%description
The pglogical extension for PostgreSQL

Contains the following components:
pglogical 1.2.1

%prep
%setup -q -n %{name}-%{version}

%build

%clean

%install
test -d /opt/freeware/bin && export PATH="/opt/freeware/bin:${PATH}"
rm -rf %{buildroot}
install -d %{buildroot}

# Copy each directory into place. Because empty directories won't make it into.
 if [ -d opt/puppetlabs/server/apps/postgresql ]; then
 install -d %{buildroot}/opt/puppetlabs/server/apps
 cp -pr opt/puppetlabs/server/apps/postgresql %{buildroot}/opt/puppetlabs/server/apps
 else
 install -d %{buildroot}/opt/puppetlabs/server/apps/postgresql
 fi

# Copy each of the extra files into place

# Here we explicitly remove the directories and files that we list in the
# %files section separately because rpm3 on aix errors on duplicate files in
# the package.
 PATH=/opt/freeware/bin:$PATH sed -i 's|^/opt/puppetlabs/server/apps/postgresql$||g' %{SOURCE1}

# Here we turn all dirs in the file-list into %dir entries to avoid duplicate files
while read entry; do
 if [ -n "$entry" -a -d "$entry" -a ! -L "$entry" ]; then
 sed -i "\|^$entry\$|s|^|%dir |" %{SOURCE1}
 fi
done < %{SOURCE1}

%pre
# Save state so we know later if this is an upgrade or an install
mkdir -p %{_localstatedir}/lib/rpm-state/%{name}
if [ "$1" -eq 1 ] ; then
 touch %{_localstatedir}/lib/rpm-state/%{name}/install
fi
if [ "$1" -gt 1 ] ; then
 touch %{_localstatedir}/lib/rpm-state/%{name}/upgrade
fi

# Run preinstall scripts on install if defined
if [ "$1" -eq 1 ] ; then
 : no preinstall scripts provided
fi

# Run preinstall scripts on upgrade if defined
if [ "$1" -gt 1 ] ; then
 : no preinstall scripts provided
fi

%post

%triggerpostun -- pe-postgresql-pglogical

%postun
# Run post-uninstall scripts on upgrade if defined
if [ "$1" -eq 1 ] ; then
 : no postremove scripts provided
fi

# Run post-uninstall scripts on removal if defined
if [ "$1" -eq 0 ] ; then
 : no postremove scripts provided
fi

%preun
# Run pre-uninstall scripts on upgrade if defined
if [ "$1" -eq 1 ] ; then
 : no preremove scripts provided
fi

# Run pre-uninstall scripts on removal if defined
if [ "$1" -eq 0 ] ; then
 : no preremove scripts provided
fi

%posttrans
# Run post-transaction scripts on install if defined
if [ -e %{_localstatedir}/lib/rpm-state/%{name}/install ] ; then
 : no postinstall scripts provided
 rm %{_localstatedir}/lib/rpm-state/%{name}/install
fi

# Run post-transaction scripts on upgrade if defined
if [ -e %{_localstatedir}/lib/rpm-state/%{name}/upgrade ] ; then
 : no postinstall scripts provided
 rm %{_localstatedir}/lib/rpm-state/%{name}/upgrade
fi

%files -f %{SOURCE1}
%doc bill-of-materials
%defattr(-, root, root, 0755)
%dir %attr(-, -, -) /opt/puppetlabs/server/apps/postgresql

%changelog
* Tue Aug 14 2018 2nd Quadrant <packagers@2ndquadrant.com> - 2018.1.1.2.1-3.pe
- Build for 2018.1.1.2.1-3.pe
